<?php
/**
 * Faster Content module - Powered by Spritz
 * Add a Spritz Redicle to your content
 * 
 * @package mod_faster_content
 * @author  Riccardo Zorn support@fasterjoomla.com
 * @copyright (C) 2011-2014 - http://fasterjoomla.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;

if ($params->def('prepare_content', 1))
{
	if (!empty($module->content)) {
		JPluginHelper::importPlugin('content');
		$module->content = JHtml::_('content.prepare', $module->content, '', 'mod_faster_content.content');
	}
}

$document = JFactory::getDocument();

require_once __DIR__ . '/helper.php';

ModFasterContentHelper::loadScripts($document,$params);

// the following options apply to the default template only, not the test one!
$spritzAutostart = $params->get('spritzAutostart',0);
$showWordcount = $params->get('showWordcount',0);
$moduleContentId = "modulecontent".$module->id;
$selectorKind = $params->get('spritzSubject');

switch ($selectorKind) {
	case 'article': $selector = 'article,#article,#content'; break;
	case 'module': $selector = '#'.$moduleContentId; break;
	default: $selector = $params->get('spritzSelector','body'); break;
}


$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
require JModuleHelper::getLayoutPath('mod_faster_content', $params->get('layout', 'default'));
