<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_custom
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

ModFasterContentHelper::getInitScript($document,$params);

?>
<script type="text/javascript">

	(function() {
		var spritzController = null;

		// for spritzing a URL:
		var onFetchSuccessController = function(spritzText) {
			spritzController.startSpritzing(spritzText);
		};
		
		var onFetchError = function(error) {
			console.log("Spritz Fetch Error: " + error.message);
		};

		// for spritzing text (need to prepare it first):
		var onSpritzifySuccess = function (spritzText) {
			spritzController.startSpritzing(spritzText);  
		};
		
		var onSpritzifyError = function(error) {
			console.log("Spritz Prepare Error: " + error.message);
		};

		var onStartSpritzDefaultClick = function() {
			spritzSelector("<?php echo $selector; ?>");
		}
		
		/**
		 * Handle buttons / items such as 
		 * <button data-sel="article">Spritz article!</button>
		 * Attach the event in the init() method below;
		 */
		var onStartSpritzClick = function(event) {
			var button = $(event.currentTarget);
			var selector = button.data("sel");
			spritzSelector(selector);
		 }

		 /**
		  * Spritz text contained in selector;
		  * if selector doesn't match any elements, 
		  * use body contents and log an error.
		  */
		 var spritzSelector = function (selector) {
			var spritzText = $(selector).text();
 			if (spritzText.length<3) {
 	 			spritzText = $('body').text();
 	 			console.log('Spritz Warning: could not find content for the selector '+selector);
 	 		}
			
			//var locale = "en_gb;";
			var locale = getPageLanguage();
			
		    // Send to SpritzEngine to translate
		    SpritzClient.spritzify(spritzText, locale, onSpritzifySuccess, onSpritzifyError);
		};
		
		/**
		 * Handle buttons / items such as 
		 * <button data-url="http://www.example.com/sometext.html">Spritz url!</button>
		 * Attach the event in the init() method below;
		 */
		var onStartSpritzClickUrl = function (event) {    			
			var element = $(event.currentTarget);
			var url = element.data("url");
			SpritzClient.fetchContents(url, onFetchSuccessController, onFetchError);
		};

		/**
		 * Show progress current word/total words
		 */
		function showProgress(completed, total) {
			$("#wordNumber").text(completed);
			$("#wordTotal").text(total);
		}
		

<?php /*
	// The default SpritzController's options that could be customized:
	//	
//		var spritzerOptions = {
//				"redicleWidth" : 	340,
//				"redicleHeight" : 	70,
//				"defaultSpeed" : 	250, 
//				"speedItems" : 		[250, 300, 350, 400, 450, 500, 550, 600], 
//				"controlButtons" : 	["pauseplay", "rewind", "back"],
//				"controlTitles" : {
//					"pause" : 		"Pause",
//					"play" : 		"Play",
//					"rewind" : 		"Rewind", 
//					"back" : 		"Previous Sentence"
//				}
//		};*/?>
	
		// Customized options
		var customOptions = {
				"defaultSpeed" : 	250, 									// Specify default speed
				"speedItems" : 		[100, 200, 250, 300, 350, 400, 500, 600], 		// Specify speed options
		};

		var init = function() {
			spritzController = new SPRITZ.spritzinc.SpritzerController(customOptions);
			<?php 
			if ($showWordcount) { ?>
				spritzController.setProgressReporter(showProgress);
				
			<?php } ?>
			spritzController.attach($("#spritzer"));
			// edit the event and the button markup if you want a different behaviour.
			$(".startSpritz").on("click", onStartSpritzDefaultClick);

			<?php if ($spritzAutostart) { ?>
			// start spritzing if the user is logged in: very ugly
			// @TODO handle loading of the spritzerController properly:
			setTimeout(function() {
				if (SpritzClient.isUserLoggedIn()) {
					onStartSpritzDefaultClick()
		        }
			},1500);
			<?php } ?>			
		};

		$(document).ready(function() {
			init();
		});
	})();

</script>


<div class="custom <?php echo $moduleclass_sfx ?> fastercontent">
	
	<div id="spritzer"></div>
	<!-- p class="muted"><small>Click the redicle to toggle between pause and play.</small></p-->
	
	<p>
	<?php if (true) { // we need a fallback for non-logged in users so the button has to stay: || !$spritzAutostart) { ?>
	  	<button class="btn btn-primary startSpritz">Spritz!</button>
	<?php
		//<button class="btn btn-primary startSpritz"  data-sel="#item15">Spritz item15!</button>
		} ?>	  	
		
		<?php 
			if ($showWordcount) { ?>
				&emsp;
	  			word <span id="wordNumber">0</span> of <span id="wordTotal"></span>
				
			<?php } ?>
			
	  	
	  	
  	</p>
  	<?php if (!empty($module->content)) { ?>
	  	<div id="<?php echo $moduleContentId; ?>">
		<?php echo $module->content;?>
		</div>
	<?php } ?>
</div>
